from marshmallow import Schema, fields, post_load, validates, ValidationError
class PatientSchema(Schema):
    patient_name = fields.String(required=True)
    site_id = fields.Integer(required=True)
    logo_id = fields.Integer(required=False)
    gender = fields.String(required=True)
    dob = fields.Date(required=False)  
    device_name = fields.String(required=False)
    device_id = fields.String(required=False)
    @validates("patient_name")
    def validate_patient_name(self, value):
        if not value.strip():
            raise ValidationError("The Patient Name field is required.")
    @post_load
    def make_user(self, data, **kwargs):
        return data
patient_schema=PatientSchema()
patients_schemas = PatientSchema(many=True)